%define version 1.6.100
%define release %mkrel 3

Summary:	OpenDesktop.Org.tw Font -- Simplified and Traditional Chinese and Japanese Ming and Kai Face
Name:		fonts-ttf-chinese-opendesktop
Version:	%{version}
Release:	%{release}
# Extracted from ftp://opensource.nchc.org.tw/odp/others/fc17/SRPMS/opendesktop-fonts-1.6.100-1.fc17.src.rpm
Source0:	opendesktop-fonts-%{version}.tar.bz2
URL:		http://www.opendesktop.org.tw/
License:	Arphic Public License
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRequires: 	fontconfig
Requires(post): mkfontdir, mkfontscale
Requires(postun): mkfontdir, mkfontscale
Obsoletes:	fonts-ttf-chinese-compat
Provides:	fonts-ttf-chinese-compat = %{version}-%{release}

%description
OpenDesktop.Org.tw Font -- Simplified and Traditional Chinese and Japanese
Ming and Kai Face, based on Chinese and Japanese TTF Fonts donated by
Arphic company.

%package -n fonts-ttf-default-zh_TW
Summary: Virtual package providing default zh_TW fonts
Group: System/Fonts/True type
Requires: %{name} = %{version}

%description -n fonts-ttf-default-zh_TW
This package provides default TrueType font for zh_TW locale.

%prep
%setup -q -n opendesktop-fonts-%{version} 

%install
install -d %{buildroot}/%{_datadir}/fonts/TTF/chinese-opendesktop/
install -m 644 odosung.ttc %{buildroot}/%{_datadir}/fonts/TTF/chinese-opendesktop/
install -m 644 odokai.ttf %{buildroot}/%{_datadir}/fonts/TTF/chinese-opendesktop/
install -m 644 odohei.ttf %{buildroot}/%{_datadir}/fonts/TTF/chinese-opendesktop/

install -d %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 69-odofonts.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 80-odofonts-original.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 80-odofonts-simulate-MS-simplified-chinese.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 80-odofonts-simulate-MS-traditional-chinese.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 80-odohei.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 80-odokai.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/
install -m 644 80-odosung.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/

# for ghostscript
install -d %{buildroot}/%{_datadir}/ghostscript/conf.d/
install -m 0644 FAPIcidfmap.zh_TW %{buildroot}/%{_datadir}/ghostscript/conf.d/
install -m 0644 FAPIcidfmap.zh_CN %{buildroot}/%{_datadir}/ghostscript/conf.d/
install -m 0644 cidfmap.zh_TW %{buildroot}/%{_datadir}/ghostscript/conf.d/
install -m 0644 cidfmap.zh_CN %{buildroot}/%{_datadir}/ghostscript/conf.d/
install -m 0644 CIDFnmap.zh_TW %{buildroot}/%{_datadir}/ghostscript/conf.d/
install -m 0644 CIDFnmap.zh_CN %{buildroot}/%{_datadir}/ghostscript/conf.d/

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/chinese-opendesktop \
    %{buildroot}%_sysconfdir/X11/fontpath.d/chinese-opendesktop:pri=50

%post
[ -x %{_bindir}/mkfontdir ] && %{_bindir}/mkfontdir %{_datadir}/fonts/TTF/chinese-opendesktop
[ -x %{_bindir}/mkfontscale ] && %{_bindir}/mkfontscale %{_datadir}/fonts/TTF/chinese-opendesktop

%postun
if [ "$1" = "0" ]; then
  [ -x %{_bindir}/mkfontdir ] && %{_bindir}/mkfontdir %{_datadir}/fonts/TTF/chinese-opendesktop
  [ -x %{_bindir}/mkfontscale ] && %{_bindir}/mkfontscale %{_datadir}/fonts/TTF/chinese-opendesktop
fi

%files
%doc Changelog Changelog.zh_TW AUTHORS COPYRIGHT license
%dir %{_datadir}/fonts/TTF/chinese-opendesktop/
%{_datadir}/fonts/TTF/chinese-opendesktop/*.ttf
%{_datadir}/fonts/TTF/chinese-opendesktop/*.ttc
%{_sysconfdir}/X11/fontpath.d/chinese-opendesktop:pri=50
%{_datadir}/fontconfig/conf.avail/*
%{_datadir}/ghostscript/conf.d/*

%files -n fonts-ttf-default-zh_TW


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.6.100-3.mga3
+ Revision: 350671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 18 2012 fwang <fwang> 1.6.100-2.mga3
+ Revision: 272232
- put all conf files into system default dir

* Wed Jul 18 2012 yochenhsieh <yochenhsieh> 1.6.100-1.mga3
+ Revision: 272221
- fixed spec, summary should not ended with dot
- add comment to describe how to extract source tarball from srpm
- New version 1.6.100 & generate fonts-ttf-default-zh_TW package

* Sat Jun 18 2011 ahmad <ahmad> 1.4.2-9.mga2
+ Revision: 109509
- imported package fonts-ttf-chinese-opendesktop

